Loading...
Searching...
No Matches
ProcessingController Class Reference

`#include <ProcessingController.h>`

## Public Member Functions

void | CancelProcessing ()
bool | GetError ()
std::string | GetErrorMessage ()
int | GetFinished ()
int | GetProgress ()
| ProcessingController ()
void | SetError (bool err, std::string message)
void | SetFinished (bool f)
void | SetProgress (uint p)
bool | ShouldStop ()

## Detailed Description

Definition at line 20 of file ProcessingController.h.

## Constructor & Destructor Documentation

## ProcessingController()

ProcessingController::ProcessingController | ( |  | ) |

inline

Definition at line 35 of file ProcessingController.h.

## Member Function Documentation

## CancelProcessing()

void ProcessingController::CancelProcessing | ( |  | ) |

inline

Definition at line 63 of file ProcessingController.h.

## GetError()

bool ProcessingController::GetError | ( |  | ) |

inline

Definition at line 80 of file ProcessingController.h.

## GetErrorMessage()

std::string ProcessingController::GetErrorMessage | ( |  | ) |

inline

Definition at line 86 of file ProcessingController.h.

## GetFinished()

int ProcessingController::GetFinished | ( |  | ) |

inline

Definition at line 41 of file ProcessingController.h.

## GetProgress()

int ProcessingController::GetProgress | ( |  | ) |

inline

Definition at line 57 of file ProcessingController.h.

## SetError()

void ProcessingController::SetError | ( | bool | err,
|  | std::string | message )

inline

Definition at line 74 of file ProcessingController.h.

## SetFinished()

void ProcessingController::SetFinished | ( | bool | f | ) |

inline

Definition at line 47 of file ProcessingController.h.

## SetProgress()

void ProcessingController::SetProgress | ( | uint | p | ) |

inline

Definition at line 52 of file ProcessingController.h.

## ShouldStop()

bool ProcessingController::ShouldStop | ( |  | ) |

inline

Definition at line 68 of file ProcessingController.h.

The documentation for this class was generated from the following file:

- ProcessingController.h